# Initial cache file for building and installing GADfit in the Docker
# container

set(CMAKE_CXX_COMPILER mpicxx CACHE STRING "")
set(CMAKE_C_COMPILER gcc CACHE STRING "")
set(CMAKE_BUILD_TYPE release CACHE STRING "")
set(CMAKE_CXX_FLAGS_RELEASE "-O3 -march=native -DNDEBUG" CACHE STRING "")

set(LIBRARY_PATHS /opt/view/mkl/latest/lib/intel64 CACHE STRING "")
set(LIBRARIES
  mkl_gf_lp64
  mkl_sequential
  mkl_core
  mkl_blacs_openmpi_lp64
  mkl_scalapack_lp64
  CACHE STRING "")

set(CMAKE_INSTALL_PREFIX /opt/software/gadfit CACHE STRING "")
