#pragma once

#include "ckd.h"
#include "l1a.h"
#include "packed_matrix.h"
#include "spex_settings.h"

namespace spex {

auto run(L1A& l1a,
         CKD& ckd,
         const SPEXSettings& settings,
         const gadfit::MPIVars& mpi,
         std::vector<double>& radiance_fine) -> void;

} // namespace spex
