# Default variables for all build configurations

set(DEFAULT_CXX_RELEASE_FLAGS "-O3 -march=native -DNDEBUG")
set(DEFAULT_CXX_DEBUG_FLAGS "-Og -g -Wall -Wextra -Wcast-align -Wformat -Winvalid-pch -Wmissing-declarations -Wmissing-include-dirs -Wconversion -Wredundant-decls -Wswitch-default -Wswitch-enum -pedantic")

set(mkl_libs mkl_gf_lp64 mkl_sequential mkl_core)
set(scalapack_libs mkl_blacs_openmpi_lp64 mkl_scalapack_lp64)

# Location of test data on the Docker image: raullaasner/spexone_cal-testing
set(TEST_DATA_DIR /opt/spexone_test_data CACHE STRING "")
